tm_gallery:
  namespace: "Organisms/TM - Gallery"
  use: "@organisms/tm-gallery/tm-gallery.twig"
  label: TM Gallery
  description: Responsive Gallery using Bootstrap
  libraries:
    - tm_gallery_lib:
        css:
          component:
            ../styles/tm-gallery.css: { weight: 10 }
        js:
          ../behaviors/tm-gallery.js: { }

  settings:
    auto_start:
      type: boolean
      label: Auto start
      preview: true
      default_value: true

  fields:
    gid:
      type: text
      label: Gallery ID
      preview: abc
      default_value: jcguid

    images:
      type: object
      label: Images (data)
      preview:
        - main: 'https://picsum.photos/700/400?rnd=1'
          thumb: 'https://picsum.photos/700/400?rnd=1'
          caption: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit.'
        - main: 'https://picsum.photos/700/400?rnd=2'
          thumb: 'https://picsum.photos/700/400?rnd=2'
          caption: 'Pellentesque viverra nisi id mi bibendum sollicitudin'
        - main: 'https://picsum.photos/700/400?rnd=3'
          thumb: 'https://picsum.photos/700/400?rnd=3'
          caption: 'Vivamus posuere turpis quis cursus ultrices. Curabitur gravida pharetra tempus'
        - main: 'https://picsum.photos/700/400?rnd=4'
          thumb: 'https://picsum.photos/700/400?rnd=4'
          caption: ' Etiam ac feugiat eros. Donec a ipsum quis enim'
        - main: 'https://picsum.photos/700/400?rnd=5'
          thumb: 'https://picsum.photos/700/400?rnd=5'
          caption: 'pellentesque blandit. Curabitur convallis tortor odio, nec vestibulum dui'
        - main: 'https://picsum.photos/700/400?rnd=6'
          thumb: 'https://picsum.photos/700/400?rnd=6'
          caption: 'condimentum in. Curabitur eros lectus, hendrerit ac turpis nec, '
        - main: 'https://picsum.photos/700/400?rnd=7'
          thumb: 'https://picsum.photos/700/400?rnd=7'
          caption: 'ultrices auctor purus. Morbi volutpat varius sagittis. Vestibulum eget ornare ipsum. '

